Author Topic: new plugins for Maya 2017  (Read 19000 times)

The most recent versions of the Substance plugin are merely available for Maya 2019. Unfortunately, not all of us can update Maya so often. There are many circumstances where one has to keep a working version for a couple years. I am aware of the extra effort, but I hope you can compile also up to date plugins for older versions of Maya, in my case Maya 2017. Thanks in advance  :)

Hi mailrox,

Right now, we only compile the plugin for Maya 2018 and 2019, with the most recent release 1.4.1 out for both of those versions. We only plan on supporting the most recent two versions of Maya. 1.3.0 was the last version that was build for 2017, which can be found on the Substance in Maya page https://www.allegorithmic.com/integrations/substance-in-maya

1.4.1 can also be downloaded on that page for Maya 2018.

For the 2.0.0 release, which will be next, we also only build for 2018 and 2019, as for that we'll continue to only support a couple of the more recent versions.
Software Engineer, Integrations
Maya and 3ds Max
galen.helfter@allegorithmic.com

Hope you will change your mind later on. At the moment, my main concern is that with newer versions of Substance Designer we will also see new types of sbsar files one cannot load using the older plugin versions.

Yes that will be sooner rather than later, those new types of sbsars will be in the substance engine v7. Engine v7 should coincide with Designer 2019.1. The engine v7 sbsars will support outputs that are not images. With an almost complete rework of the Maya plugin done, the current plugin will likely never support those new features.

A request has been to release source code for the plugins. We've discussed it some internally, and if we do that, then the community could build the plugin for versions of Maya that we wouldn't deploy to. I have no timeline or commitment on that, though.
Software Engineer, Integrations
Maya and 3ds Max
galen.helfter@allegorithmic.com

We are on maya 2017 side also , it's sad we can't use the new plugin with it .

Indeed, it would be a wonderful move if we could get the new 2.0 plugin for Maya 2017.
Galen mentioned that, at least, there is the idea to release the source code for the plugin.
Please help us. In many production environments one cannot regularly switch to the
most recent Maya versions.
Last Edit: July 22, 2019, 09:39:29 am

Possibly it is helpful to notice that for many longtime Maya users the version 2017 was the last one which came with a permanent license. This makes this version special and, as with the Adobe CS6 edition, many people still use it because the later versions of Maya haven't seen too many new features.

If many people are asking for a version for Maya 2017, then I think we should consider it for a future release.
Software Engineer, Integrations
Maya and 3ds Max
galen.helfter@allegorithmic.com

Great, that would be fantastic.  :)
Last Edit: August 15, 2019, 09:44:09 am